| .irp

Previous | Assembler Directives | Next

Syntax: .irp symbol[, value[, value][, ...]]
Evaluate a sequence of statements assigning different values to symbol. The sequence of statements starts at the `.irp` directive, and is terminated by an `.endr` directive. For each value, symbol is set to value, and the sequence of statements is assembled. If no value is listed, the sequence of statements is assembled once, with symbol set to the null string. To refer to symbol within the sequence of statements, use \symbol.
For example, assembling

            .irp   param,1,2,3
            move.l %d\param,-(%sp)
            .endr

is equivalent to assembling

            move    %d1,-(%sp)
            move.l %d2,-(%sp)
            move.l %d3,-(%sp)